GNU bug report logs - #40759
26.3; Update Leuven-theme in Emacs dev trunk

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Fab Rice <posh18@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 40759 <at> debbugs.gnu.org and Fab Rice <posh18@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 8 Aug 2020 12:23:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 08 08:23:18 2020
Received: from localhost ([127.0.0.1]:58440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4Nsc-00087F-JY
	for submit <at> debbugs.gnu.org; Sat, 08 Aug 2020 08:23:18 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k4Nsa-00086y-En
 for 40759 <at> debbugs.gnu.org; Sat, 08 Aug 2020 08:23:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pQ0z0n0WYO1wVdcZCnndHOI5BPH7cnYDDOiQPMt70ys=; b=FLu1genkJijsJbiBKn065PmB+V
 4ayhy7wwW4lTUAiDKLGGcPAGGPvWIBruewc0bM9j446AyXUPLltMs9ymHDspLfhFxFY556X8T2WuE
 GSeiPLKD0WfX4eahkUk870JCvZ1z5xvfRX79fpv6359MZkGnCYsTsYfSJ+isCmFjIYhY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k4NsM-0004D4-E1; Sat, 08 Aug 2020 14:23:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Fab Rice <posh18@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN>
 <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
 <CADwFkmnQEiiksPWTjqKmrud0E0j-ZAwi85_=2+yuqoFVTjgb5A@HIDDEN>
 <6f35c7451ae71220f7072eb50b36f38e@HIDDEN>
Date: Sat, 08 Aug 2020 14:23:00 +0200
In-Reply-To: <6f35c7451ae71220f7072eb50b36f38e@HIDDEN> (Fab Rice's
 message of "Wed, 13 May 2020 19:36:39 +0200")
Message-ID: <871rkh2uor.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Fab Rice <posh18@HIDDEN> writes: > I've pushed new
 changes, 
 following your 3 (types of) remarks. > > Please find it here, attached. >
 > Thanks a lot! As far as I can see,
 all the comments were taken into consideration
 in this final version of the patch, but it was not applied? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: Eli Zaretskii <eliz@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 40759 <at> debbugs.gnu.org, Serghei <egrep@HIDDEN>, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fab Rice <posh18@HIDDEN> writes:

> I've pushed new changes, following your 3 (types of) remarks.
>
> Please find it here, attached.
>
> Thanks a lot!

As far as I can see, all the comments were taken into consideration in
this final version of the patch, but it was not applied?

So I've now done so in Emacs 28.1.  The patch didn't apply cleanly, so I
merged a few of the lines by hand.  Please look the results over to see
whether I messed up or not.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 13 May 2020 17:36:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 13 13:36:53 2020
Received: from localhost ([127.0.0.1]:59336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jYvJL-0000j2-4t
	for submit <at> debbugs.gnu.org; Wed, 13 May 2020 13:36:53 -0400
Received: from 12.mo7.mail-out.ovh.net ([178.33.107.167]:38444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <posh18@HIDDEN>) id 1jYvJG-0000ir-Jg
 for 40759 <at> debbugs.gnu.org; Wed, 13 May 2020 13:36:50 -0400
Received: from player771.ha.ovh.net (unknown [10.110.171.125])
 by mo7.mail-out.ovh.net (Postfix) with ESMTP id 144241634B2
 for <40759 <at> debbugs.gnu.org>; Wed, 13 May 2020 19:36:44 +0200 (CEST)
Received: from RCM-web6.webmail.mail.ovh.net (d51A48E79.access.telenet.be
 [81.164.142.121]) (Authenticated sender: fni@HIDDEN)
 by player771.ha.ovh.net (Postfix) with ESMTPSA id 63CF812695A79;
 Wed, 13 May 2020 17:36:40 +0000 (UTC)
MIME-Version: 1.0
Date: Wed, 13 May 2020 19:36:39 +0200
From: Fab Rice <posh18@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
In-Reply-To: <CADwFkmnQEiiksPWTjqKmrud0E0j-ZAwi85_=2+yuqoFVTjgb5A@HIDDEN>
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN> <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
 <CADwFkmnQEiiksPWTjqKmrud0E0j-ZAwi85_=2+yuqoFVTjgb5A@HIDDEN>
User-Agent: Roundcube Webmail/1.4.3
Message-ID: <6f35c7451ae71220f7072eb50b36f38e@HIDDEN>
X-Sender: posh18@HIDDEN
X-Originating-IP: 81.164.142.121
X-Webmail-UserID: fni@HIDDEN
Content-Type: multipart/mixed;
 boundary="=_e54952d18ab57b2a730b6b1e919243a2"
X-Ovh-Tracer-Id: 3471149412987700591
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduhedrleeggdduudefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhepggffhffvufgjfhgfkfigihgtsehmtdhjredtreejnecuhfhrohhmpefhrggsucftihgtvgcuoehpohhshhdukeesphhirhhilhgrmhhpohdrsggvqeenucggtffrrghtthgvrhhnpeeflefhuddvvdefgfeludevieetueefieelhfffueekueduleduueejheelueegvdenucfkpheptddrtddrtddrtddpkedurdduieegrddugedvrdduvddunecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhpqdhouhhtpdhhvghlohepphhlrgihvghrjeejuddrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehpohhshhdukeesphhirhhilhgrmhhpohdrsggvpdhrtghpthhtohepgedtjeehleesuggvsggsuhhgshdrghhnuhdrohhrgh
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: Eli Zaretskii <eliz@HIDDEN>, 40759 <at> debbugs.gnu.org,
 Serghei <egrep@HIDDEN>, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=_e54952d18ab57b2a730b6b1e919243a2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain; charset=UTF-8;
 format=flowed

Dear Stefan,

Le 2020-05-09 18:48, Stefan Kangas a écrit :
> Fab Rice <posh18@HIDDEN> writes:
> 
>> Here's an updated patch file, where I've fixed the issues pointed by 
>> Stefan.

I've pushed new changes, following your 3 (types of) remarks.

Please find it here, attached.

Thanks a lot!

Best regards,
Fabrice
--=_e54952d18ab57b2a730b6b1e919243a2
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=0001-Update-Leuven-theme.patch
Content-Disposition: attachment;
 filename=0001-Update-Leuven-theme.patch;
 size=69878
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=
--=_e54952d18ab57b2a730b6b1e919243a2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 9 May 2020 16:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 09 12:49:01 2020
Received: from localhost ([127.0.0.1]:48299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jXSer-0001DH-1t
	for submit <at> debbugs.gnu.org; Sat, 09 May 2020 12:49:01 -0400
Received: from mail-yb1-f179.google.com ([209.85.219.179]:37733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jXSeq-0001D5-AD
 for 40759 <at> debbugs.gnu.org; Sat, 09 May 2020 12:49:00 -0400
Received: by mail-yb1-f179.google.com with SMTP id f5so2706731ybo.4
 for <40759 <at> debbugs.gnu.org>; Sat, 09 May 2020 09:49:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=ADxrMpiZSagrYgZvu14lOUe9enuhQVgcJQVvz0SISk4=;
 b=SxoZhe5OZPmDvwyNf61VhL48fMc6jcg6nvTXXA6dXXvN/P1MosZF45yo/KwTaqPNrq
 Zn/uPKk0mE97VBjTaluW6BOAZ7lK/sIp3/CnEs/fMSAhvDqE91tVdWW+uu/vjTFjptO9
 m9YJgUCv8xcEl2+BLY14sYUD1iY9PFMxpg0ahMRJ4kfLrrGGbXZpGJGzmf5HQtUgIZ6c
 U7Gl1Khlt4Uh/yz+Bgcl8nkpJl1fN4BRkBeCifcBj1S1ONAFS0VB7UfSWLNjFadxbiFY
 XgPDpQXnqxMEBXLOxbPwaHArA0HSNy9W5fuXHPgz0KOgk/nrOTgm3jmr8pHDfUCr/Uvc
 brTw==
X-Gm-Message-State: AGi0PubUV5ADzyShFfZs96dtloq0WsF1TcEEq9v8kGWqKxjnajZlRbq0
 TONR1sJTqXinVjWCTFYY5krqOcoPkyJdWylUjKc=
X-Google-Smtp-Source: APiQypJBGijLU8wCltHVw+tvo76EYFYSdNEKTnlhxqkyfT3bcEx/gAVqctOHW4IYDurR29hSg6b5gQzgihbq1pjbe/s=
X-Received: by 2002:a25:5c4:: with SMTP id 187mr13615815ybf.181.1589042934673; 
 Sat, 09 May 2020 09:48:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 9 May 2020 12:48:54 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN> <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
MIME-Version: 1.0
Date: Sat, 9 May 2020 12:48:53 -0400
Message-ID: <CADwFkmnQEiiksPWTjqKmrud0E0j-ZAwi85_=2+yuqoFVTjgb5A@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
To: Fab Rice <posh18@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, Serghei <egrep@HIDDEN>, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Fab Rice <posh18@HIDDEN> writes:

> Here's an updated patch file, where I've fixed the issues pointed by Stefan.

Thank you.  I intended to push this today, but it seems like you haven't
merged the changes in Emacs into your version.

Could you please look into that and suggest how to best proceed?
Possibly you could just merge the changes and send a new patch.

I have marked some differences I could find below, but I think you would
need to review all this in full.

> -      (code-inline '(:foreground "#006400" :background "#FDFFF7"))
> +      (code-block '(:foreground "#000088" :background "#FFFFE0" :extend t))
> +      (code-inline '(:foreground "#006400" :background "#FDFFF7" :extend t))

The :extend attributes has been removed on purpose.
See emacs.git commit 58fb4c3e68a and etc/NEWS.27.

> +   ;; `(font-lock-doc-string-face ((,class (:foreground "#008000")))) ; XEmacs only, but is used for HTML exports from org2html (and not interactively)

This line was removed in emacs.git commit 16ec5f5f2ff.

>  ;; Local Variables:
> +;; no-byte-compile: t

This line was removed in emacs.git commit 530aa469a4d.

Sorry for not noticing any of this earlier.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 4 May 2020 15:11:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 04 11:11:46 2020
Received: from localhost ([127.0.0.1]:33682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVcl0-0002PK-8Y
	for submit <at> debbugs.gnu.org; Mon, 04 May 2020 11:11:46 -0400
Received: from ted.gofardesign.uk ([67.225.143.91]:48022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1jVcky-0002P2-L5
 for 40759 <at> debbugs.gnu.org; Mon, 04 May 2020 11:11:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=31wnrkwL8dOkK8ti67vkklv3FbnTRvH2k2utiV/XpEA=; b=LS24aA/Kdae6ySJ/LSYHItdBAm
 f6ogIAnKivkd3aekpdVpwCuNMwpIZmVq5ziqaHl0iXtztOiP5Oo/Z5QgQNQV7VSJwxEkPCnFfPKeA
 OWhKB78CsQxg4Ko15DuQAPP0acq7ZpFTbwm4Yhs5h4Z7Cknspx+KT7nlyRlUPDi2nLE71oCLxpEr5
 xS5wctBh3bjMTDgMwvtLUXDJM42ZrZjPvwzOkIwiaRNkE1JXVMd02p7dH6bRCPjxlQSAo8zuN3KGj
 o9U+Nvgw+WnTGNuGGFbXCgm2/oVKFLXswt7qzGFhcQ2RCs/2+SJXOKGBwgdcqBpSOM/R98L1uq8og
 06dnGmfQ==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:53000
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1jVckr-000NNv-2V; Mon, 04 May 2020 11:11:37 -0400
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
In-Reply-To: <831rnzoigf.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 04 May
 2020 17:58:24 +0300")
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN>
 <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
 <83k1247xw1.fsf@HIDDEN>
 <139fcad3-888e-7768-b65b-0c0b721813a9@HIDDEN>
 <87k11ryj1l.fsf@HIDDEN> <831rnzoigf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 04 May 2020 17:11:34 +0200
Message-ID: <87tv0vag61.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, posh18@HIDDEN, monnier@HIDDEN,
 egrep@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Frankly, I'm a bit afraid that such a significant deviation from the
> practice of themes should be added to the release branch now.
> Stefan's opinion notwithstanding, there can always be something we are
> overlooking.

Thank you.  I will allow a couple of days before I push this to
master, in case anyone has any further comments.  We should be able to
fix any problems that pop up in time before 28.1 is released.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 4 May 2020 14:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 04 10:58:42 2020
Received: from localhost ([127.0.0.1]:33652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVcYI-00022i-Db
	for submit <at> debbugs.gnu.org; Mon, 04 May 2020 10:58:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jVcYG-00022T-J8
 for 40759 <at> debbugs.gnu.org; Mon, 04 May 2020 10:58:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59564)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jVcYA-0004o1-B8; Mon, 04 May 2020 10:58:30 -0400
Received: from [176.228.60.248] (port=2803 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jVcY7-0001wr-Sz; Mon, 04 May 2020 10:58:28 -0400
Date: Mon, 04 May 2020 17:58:24 +0300
Message-Id: <831rnzoigf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87k11ryj1l.fsf@HIDDEN> (message from Stefan Kangas on
 Mon, 04 May 2020 14:35:34 +0200)
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN>
 <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
 <83k1247xw1.fsf@HIDDEN>
 <139fcad3-888e-7768-b65b-0c0b721813a9@HIDDEN>
 <87k11ryj1l.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, posh18@HIDDEN, monnier@HIDDEN,
 egrep@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  Fab Rice <posh18@HIDDEN>,
>   40759 <at> debbugs.gnu.org,  Stefan Monnier <monnier@HIDDEN>,
>   egrep@HIDDEN
> Date: Mon, 04 May 2020 14:35:34 +0200
> 
> > I don't think it's a major problem, personally: these variables serve a purpose,
> > and they don't hurt anybody by remaining defined.
> >
> > Same with functions.
> 
> I agree with that conclusion, too.  I think it's fine that a theme
> does this.  Maybe we could file a wishlist level request to add the
> makunbound functionality if we think it's worth working on.
> 
> Is there anything left to discuss, or should I go ahead and push this?
> 
> Also, I think we would need Eli to decide if this should go to
> emacs-27 or master.  Thanks.

Frankly, I'm a bit afraid that such a significant deviation from the
practice of themes should be added to the release branch now.
Stefan's opinion notwithstanding, there can always be something we are
overlooking.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 4 May 2020 12:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 04 08:35:47 2020
Received: from localhost ([127.0.0.1]:59240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVaK2-00046k-RQ
	for submit <at> debbugs.gnu.org; Mon, 04 May 2020 08:35:47 -0400
Received: from ted.gofardesign.uk ([67.225.143.91]:53076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1jVaK0-00046V-UX
 for 40759 <at> debbugs.gnu.org; Mon, 04 May 2020 08:35:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=O8LKzViJONWS7kMMy6nnGiHztm+SduXqs/oYjUfBNSI=; b=PtG7+9seVefsT5so1AK/Iu8e1L
 ANVF4x8XQN4mkAK8o9wZyfEHQoOA7J4zi7gi7FlEknK8QSIv75HycYIpppTZR6gi0LY1NOXJltaCu
 1J4Q/dzwx2doMsxe50YTJlpmXOzzYrmJx7G0nYymWZkx/Zbp7stow8tl9yHVRMP80Zr2yTjqR0uyM
 1+wAB2zm5/UrbwUK51vnXcn3+gUEfdsPPPXU/88lsQAOvVwVcnaYIOcX/rhDia75V2ADBsSadgcmr
 Agf9NefNJRTcaZlrnCGq4eqil0kDP7wyhBLeAMQFNzd0e8ghsRgH6BLjfZ2W+oij9xXvwpY1JI/9k
 nGTxbmQg==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:35446
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1jVaJs-001mLC-SY; Mon, 04 May 2020 08:35:37 -0400
From: Stefan Kangas <stefan@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
In-Reply-To: <139fcad3-888e-7768-b65b-0c0b721813a9@HIDDEN> (Dmitry Gutov's
 message of "Sat, 25 Apr 2020 17:36:31 +0300")
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN>
 <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
 <83k1247xw1.fsf@HIDDEN>
 <139fcad3-888e-7768-b65b-0c0b721813a9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 04 May 2020 14:35:34 +0200
Message-ID: <87k11ryj1l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: Eli Zaretskii <eliz@HIDDEN>, Fab Rice <posh18@HIDDEN>,
 40759 <at> debbugs.gnu.org, egrep@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 25.04.2020 11:49, Eli Zaretskii wrote:
>> We don't have defcustom's in any other theme I see in etc/themes/.
>> Does 'disable-theme' know how to undo the defcustom's, i.e. makunbound
>> them so that they are no longer in the name-space? should it?
>
> I don't think it's a major problem, personally: these variables serve a purpose,
> and they don't hurt anybody by remaining defined.
>
> Same with functions.

I agree with that conclusion, too.  I think it's fine that a theme
does this.  Maybe we could file a wishlist level request to add the
makunbound functionality if we think it's worth working on.

Is there anything left to discuss, or should I go ahead and push this?

Also, I think we would need Eli to decide if this should go to
emacs-27 or master.  Thanks.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 25 Apr 2020 14:36:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 10:36:43 2020
Received: from localhost ([127.0.0.1]:60193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSLv9-0004IQ-6d
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 10:36:43 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:33613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1jSLv6-0004IB-TN
 for 40759 <at> debbugs.gnu.org; Sat, 25 Apr 2020 10:36:41 -0400
Received: by mail-wm1-f46.google.com with SMTP id v8so12235441wma.0
 for <40759 <at> debbugs.gnu.org>; Sat, 25 Apr 2020 07:36:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=saTh/i5IJIGola5TVbLy/iBUxxWkE3HM3TShMUXFf/c=;
 b=VeruSoTlVvl0CsD4eHzbhG+3WyLbwkZ+79BNjvPFP5rYl8iCcBQbFTYPT0fSAS16zF
 0kQlx1tVzFCxsmMRk0OTtTh+qdbZ3x6/l+7XCMqoLnMkv/6UAa1s+yOypiMfsRuma6Jx
 ddzQjUvM6nT+uPg3uKS6lviK40O/9B8WugkUJ2t+mRyoWHFQj7GK1OF7WNPY8S0CiQrr
 TdEh7/HwNIXVou3Upmq3/orCX+wuEseHbtcExWucBJu+v8cq/kQcdnYJp2ts6taSt5gM
 zBLAhBfyqleV+jgbUqXZpAcHsXsyHAdXwk36rXG2ZI0LKlXFx9ygzdhI0c8psBCIT+V5
 9GpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=saTh/i5IJIGola5TVbLy/iBUxxWkE3HM3TShMUXFf/c=;
 b=RLiqZ5smD7f9PnjgWuo0xFfeBQNw4KFjelq7zUzPbs/2G0mue4wWmDAmJbC0/y71/2
 8ygfgL9PDINKqo/ct2u2C+dlFYDJpvrm9PbWXXfMWhtlfnhmrRjdjyNDOXk3agqHjJzg
 lfW9w/CDG2MojARFNtKZDPAmN/NhMRu13BFkn+A0atu0ntzWiD4tk+jnkYH9oi5lbxqG
 ThzPmxKMwqhC4tJp2+7UR4KHiC4MriGoV2XXxJdBtBW0ayqmsXP8LKkR6pWtPAu2B7LJ
 zLD+PqIWDMW7fMa4xKG8Rr0wk3UAqm7qzT2gtEyLLeaParNJ4TvPuls9d8slv+9IHDWY
 alEg==
X-Gm-Message-State: AGi0PubNg/XQK4HtsSwMG4fF2Yl82IrvUwCVXFwcS095LCTis6xpKlXL
 XteWMIJsKBcWzQBpORx8o0c=
X-Google-Smtp-Source: APiQypIsZsJcQxfbqORTJLgSjLJx18DxVN5iQwuj5PFqdoOr9lF34ve63zbodER4tJOEf/g2biR7+A==
X-Received: by 2002:a05:600c:204b:: with SMTP id
 p11mr16127698wmg.92.1587825394937; 
 Sat, 25 Apr 2020 07:36:34 -0700 (PDT)
Received: from [192.168.0.2] ([66.205.73.129])
 by smtp.googlemail.com with ESMTPSA id x23sm7233723wmj.6.2020.04.25.07.36.32
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 25 Apr 2020 07:36:34 -0700 (PDT)
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
To: Eli Zaretskii <eliz@HIDDEN>, Fab Rice <posh18@HIDDEN>
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN> <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
 <83k1247xw1.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <139fcad3-888e-7768-b65b-0c0b721813a9@HIDDEN>
Date: Sat, 25 Apr 2020 17:36:31 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <83k1247xw1.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, stefan@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, egrep@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 25.04.2020 11:49, Eli Zaretskii wrote:
> We don't have defcustom's in any other theme I see in etc/themes/.
> Does 'disable-theme' know how to undo the defcustom's, i.e. makunbound
> them so that they are no longer in the name-space? should it?

I don't think it's a major problem, personally: these variables serve a 
purpose, and they don't hurt anybody by remaining defined.

Same with functions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 25 Apr 2020 08:50:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 04:50:22 2020
Received: from localhost ([127.0.0.1]:58489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSGVm-0005rw-PB
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 04:50:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jSGVk-0005rc-K5
 for 40759 <at> debbugs.gnu.org; Sat, 25 Apr 2020 04:50:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50530)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jSGVd-0005Ss-Rg; Sat, 25 Apr 2020 04:50:01 -0400
Received: from [176.228.60.248] (port=4105 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jSGVd-0007Ns-0y; Sat, 25 Apr 2020 04:50:01 -0400
Date: Sat, 25 Apr 2020 11:49:50 +0300
Message-Id: <83k1247xw1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fab Rice <posh18@HIDDEN>
In-Reply-To: <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN> (message from Fab
 Rice on Fri, 24 Apr 2020 14:09:56 +0200)
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN> <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, stefan@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, egrep@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Fri, 24 Apr 2020 14:09:56 +0200
> From: Fab Rice <posh18@HIDDEN>
> Cc: Serghei <egrep@HIDDEN>, stefan@HIDDEN, 40759 <at> debbugs.gnu.org,
>  dgutov@HIDDEN
> 
> +(defgroup leuven nil
> +  "Leuven theme options.
> +The theme has to be reloaded after changing anything in this group."
> +  :group 'faces)
> +
> +(defcustom leuven-scale-outline-headlines t
> +  "Scale `outline' (and `org') level-1 headlines.
> +This can be nil for unscaled, t for using the theme default, or a scaling
> +number."
> +  :type '(choice
> +          (const :tag "Unscaled" nil)
> +          (const :tag "Default provided by theme" t)
> +          (number :tag "Set scaling"))
> +  :group 'leuven)
> +
> +(defcustom leuven-scale-org-agenda-structure t
> +  "Scale Org agenda structure lines, like dates.
> +This can be nil for unscaled, t for using the theme default, or a scaling
> +number."
> +  :type '(choice
> +          (const :tag "Unscaled" nil)
> +          (const :tag "Default provided by theme" t)
> +          (number :tag "Set scaling")))

We don't have defcustom's in any other theme I see in etc/themes/.
Does 'disable-theme' know how to undo the defcustom's, i.e. makunbound
them so that they are no longer in the name-space? should it?  If so,
I think we should add such a feature, and only after that we will be
able to accept themes that define new user options.

> +(defun leuven-scale-font (control default-height)
> +  "Function for splicing optional font heights into face descriptions.
> +CONTROL can be a number, nil, or t.  When t, use DEFAULT-HEIGHT."
> +  (cond
> +   ((numberp control) (list :height control))
> +   ((eq t control) (list :height default-height))
> +   (t nil)))

Likewise with functions: should 'disable-theme' fmakunbound them?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 24 Apr 2020 15:46:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 24 11:46:39 2020
Received: from localhost ([127.0.0.1]:57763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jS0XH-0006FC-BJ
	for submit <at> debbugs.gnu.org; Fri, 24 Apr 2020 11:46:39 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:42252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <egrep@HIDDEN>) id 1jRw1n-0002xC-7m
 for 40759 <at> debbugs.gnu.org; Fri, 24 Apr 2020 06:57:51 -0400
Date: Fri, 24 Apr 2020 10:57:35 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.ch;
 s=protonmail; t=1587725864;
 bh=pUk6N/FK//EJP1UYavalEfLzbo16Ym6NKa7VncbTJso=;
 h=Date:To:From:Cc:Reply-To:Subject:From;
 b=RVYQTYPXUUv6aBPjIjNHxSwdLy5RNfsTm5D4o/VDmsZAuW9EytnkyiMGTG5d+aIxd
 eLykKWHIuro4v/LLSzXpDhHHWLo6nZbdA84IbcQ/1JUQYQWlCht4rc35EHinxCZtTM
 KDUwjKzzxEcNd70RYlaQnV5sQ9I9XswWvwuV47TM=
To: Stefan Kangas <stefan@HIDDEN>, Fab Rice <posh18@HIDDEN>
From: Serghei <egrep@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
Message-ID: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40759
X-Mailman-Approved-At: Fri, 24 Apr 2020 11:46:38 -0400
Cc: 40759 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Serghei <egrep@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

I asked for this merge Leuven Theme in 22 March [1] so I'm more than
interested in merging this before 27.1 release.

Eli, Stefan consider please to release Emacs 27.1 with fresh Leuven
version.

[1]: https://github.com/fniessen/emacs-leuven-theme/issues/69

> Fab Rice <posh18@HIDDEN> writes:
>=20
>> BTW, could this go to the "emacs-27" branch, please?
>=20
> I think the emacs-27 branch is closed for anything that is not
> urgent.  Eli, what do you think?
>=20
> A few more nitpicks:
>=20
>> +(defcustom leuven-scale-org-agenda-structure t
>> +  "Scale Org agenda structure lines, like dates.
>> +This can be nil for unscaled, t for using the theme default, or a scali=
ng number."
>=20
> The last line should be reformatted to less than 80 characters, see:
> (info "(elisp) Documentation Tips")
>=20
>> +  :group 'leuven)
>=20
> You don't need ":group 'leuven" here since it defaults to the previous
> defgroup.
>=20
> Best regards,
> Stefan Kangas
>=20
>=20
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 24 Apr 2020 12:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 24 08:10:12 2020
Received: from localhost ([127.0.0.1]:56615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRx9j-000751-L4
	for submit <at> debbugs.gnu.org; Fri, 24 Apr 2020 08:10:11 -0400
Received: from 19.mo5.mail-out.ovh.net ([46.105.35.78]:35072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <posh18@HIDDEN>) id 1jRx9e-00074O-Mx
 for 40759 <at> debbugs.gnu.org; Fri, 24 Apr 2020 08:10:06 -0400
Received: from player698.ha.ovh.net (unknown [10.108.35.90])
 by mo5.mail-out.ovh.net (Postfix) with ESMTP id 77F9127AFDE
 for <40759 <at> debbugs.gnu.org>; Fri, 24 Apr 2020 14:10:01 +0200 (CEST)
Received: from RCM-web6.webmail.mail.ovh.net (d51A48E79.access.telenet.be
 [81.164.142.121]) (Authenticated sender: fni@HIDDEN)
 by player698.ha.ovh.net (Postfix) with ESMTPSA id 71B1311B2D003;
 Fri, 24 Apr 2020 12:09:56 +0000 (UTC)
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_1bdb3a074eb34a2de56e23363df48ef7"
Content-Transfer-Encoding: 8bit
Date: Fri, 24 Apr 2020 14:09:56 +0200
From: Fab Rice <posh18@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
In-Reply-To: <83zhb19laa.fsf@HIDDEN>
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
 <83zhb19laa.fsf@HIDDEN>
User-Agent: Roundcube Webmail/1.4.2
Message-ID: <0fc0b188e6cca472e8f06c570fee7a4d@HIDDEN>
X-Sender: posh18@HIDDEN
X-Originating-IP: 81.164.142.121
X-Webmail-UserID: fni@HIDDEN
X-Ovh-Tracer-Id: 15499419596553782644
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduhedrhedugdeggecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfqggfjpdevjffgvefmvefgnecuuegrihhlohhuthemucehtddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeggtgfgfffhvffujghffgfkgihisehmkehjredtreejnecuhfhrohhmpefhrggsucftihgtvgcuoehpohhshhdukeesphhirhhilhgrmhhpohdrsggvqeenucfkpheptddrtddrtddrtddpkedurdduieegrddugedvrdduvddunecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhpqdhouhhtpdhhvghlohepphhlrgihvghrieelkedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehpohhshhdukeesphhirhhilhgrmhhpohdrsggvpdhrtghpthhtohepgedtjeehleesuggvsggsuhhgshdrghhnuhdrohhrgh
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, stefan@HIDDEN, Serghei <egrep@HIDDEN>,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=_1bdb3a074eb34a2de56e23363df48ef7
Content-Transfer-Encoding: 8bit
Content-Type: text/plain; charset=UTF-8;
 format=flowed

Hello everybody,

Le 2020-04-24 13:26, Eli Zaretskii a écrit :
>> Date: Fri, 24 Apr 2020 10:57:35 +0000
>> From: Serghei <egrep@HIDDEN>
>> Cc: 40759 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, 
>> dgutov@HIDDEN
>> 
>> I asked for this merge Leuven Theme in 22 March [1] so I'm more than
>> interested in merging this before 27.1 release.
>> 
>> Eli, Stefan consider please to release Emacs 27.1 with fresh Leuven
>> version.
> 
> What about the issues pointed out by Stefan in his message?  Will an
> updated patch be posted any time soon?

Here's an updated patch file, where I've fixed the issues pointed by 
Stefan.

PS- I don't know why, I do not get all the messages from this thread...

Best regards,
Fabrice

--=_1bdb3a074eb34a2de56e23363df48ef7
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=0001-Update-Leuven-theme.el.patch
Content-Disposition: attachment;
 filename=0001-Update-Leuven-theme.el.patch;
 size=70725
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--=_1bdb3a074eb34a2de56e23363df48ef7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 24 Apr 2020 11:27:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 24 07:27:16 2020
Received: from localhost ([127.0.0.1]:56577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRwUF-0003kJ-U4
	for submit <at> debbugs.gnu.org; Fri, 24 Apr 2020 07:27:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRwUE-0003k6-Ph
 for 40759 <at> debbugs.gnu.org; Fri, 24 Apr 2020 07:27:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49231)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRwU7-0006jd-84; Fri, 24 Apr 2020 07:27:07 -0400
Received: from [176.228.60.248] (port=4824 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRwU6-0004iE-IM; Fri, 24 Apr 2020 07:27:07 -0400
Date: Fri, 24 Apr 2020 14:26:53 +0300
Message-Id: <83zhb19laa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Serghei <egrep@HIDDEN>
In-Reply-To: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN> (message
 from Serghei on Fri, 24 Apr 2020 10:57:35 +0000)
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
References: <3c8915e3-dd47-4970-d89f-b142e09ebae5@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40759
Cc: posh18@HIDDEN, 40759 <at> debbugs.gnu.org, stefan@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Fri, 24 Apr 2020 10:57:35 +0000
> From: Serghei <egrep@HIDDEN>
> Cc: 40759 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, dgutov@HIDDEN
> 
> I asked for this merge Leuven Theme in 22 March [1] so I'm more than
> interested in merging this before 27.1 release.
> 
> Eli, Stefan consider please to release Emacs 27.1 with fresh Leuven
> version.

What about the issues pointed out by Stefan in his message?  Will an
updated patch be posted any time soon?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 23 Apr 2020 18:47:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 23 14:47:47 2020
Received: from localhost ([127.0.0.1]:55830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRgt1-0005aC-DD
	for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 14:47:47 -0400
Received: from ted.gofardesign.uk ([67.225.143.91]:49422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1jRgt0-0005a0-3O
 for 40759 <at> debbugs.gnu.org; Thu, 23 Apr 2020 14:47:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pofOh5jPe53nJ7Omjo+o8c/a1k9riP6DjDOjL3UbgZo=; b=aUaQzKJUex2RQnnHyHTx+G1JXI
 o7yXW78m5toZcHv/Mq3g8FsYQ60/9qsStw9Fgpsm9ygBfHLdTNIg6mRuZ/WM/c+K4nWSLjTxywGjo
 4rnSwOXiBBnRFpOzwiTY1QcIazewFkc3LIsV3mePkn8xcMWki+ij+H+ZhG53KNmOBm1qm3PSdatlo
 q6tpVwNLfhhdGPXdUyOzS0vizw/Lu5f1EB4yCDrx6vl7BtcSsPxumgwlr1BtbacRnhxYhA1F6kmy9
 CQwIzMXDpoSRRbeYctdkqY7ZQ0vdOPGRHX+8LEqj14FBXrcplK5RTT0I50EhrkF6hE9LzKlAm+3pM
 /iYNfAOQ==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:48490
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1jRgsu-000DwE-4j; Thu, 23 Apr 2020 14:47:40 -0400
From: Stefan Kangas <stefan@HIDDEN>
To: Fab Rice <posh18@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
In-Reply-To: <c97171768a13da67f9d9ebb528350ab5@HIDDEN> (Fab Rice's
 message of "Wed, 22 Apr 2020 21:58:39 +0200")
References: <50fbb1acfeba7f191e66176d2d5a7687@HIDDEN>
 <c97171768a13da67f9d9ebb528350ab5@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 23 Apr 2020 20:47:37 +0200
Message-ID: <87ftcut4xi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fab Rice <posh18@HIDDEN> writes:

> BTW, could this go to the "emacs-27" branch, please?

I think the emacs-27 branch is closed for anything that is not
urgent.  Eli, what do you think?

A few more nitpicks:

> +(defcustom leuven-scale-org-agenda-structure t
> +  "Scale Org agenda structure lines, like dates.
> +This can be nil for unscaled, t for using the theme default, or a scaling number."

The last line should be reformatted to less than 80 characters, see:
(info "(elisp) Documentation Tips")

> +  :group 'leuven)

You don't need ":group 'leuven" here since it defaults to the previous
defgroup.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 22 Apr 2020 19:59:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 15:59:02 2020
Received: from localhost ([127.0.0.1]:53375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRLWD-0006m9-Sj
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:59:02 -0400
Received: from 10.mo178.mail-out.ovh.net ([46.105.76.150]:33975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <posh18@HIDDEN>) id 1jRLW8-0006lv-HB
 for 40759 <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:58:48 -0400
Received: from player762.ha.ovh.net (unknown [10.110.208.120])
 by mo178.mail-out.ovh.net (Postfix) with ESMTP id 6E73D9B03D
 for <40759 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 21:58:42 +0200 (CEST)
Received: from RCM-web8.webmail.mail.ovh.net (d51a48e79.access.telenet.be
 [81.164.142.121]) (Authenticated sender: fni@HIDDEN)
 by player762.ha.ovh.net (Postfix) with ESMTPSA id B6B5B11A8AB81;
 Wed, 22 Apr 2020 19:58:39 +0000 (UTC)
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_6173116ce1727d120771202c2b24a20e"
Content-Transfer-Encoding: 7bit
Date: Wed, 22 Apr 2020 21:58:39 +0200
From: Fab Rice <posh18@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
User-Agent: Roundcube Webmail/1.4.2
Message-ID: <c97171768a13da67f9d9ebb528350ab5@HIDDEN>
X-Sender: posh18@HIDDEN
X-Originating-IP: 81.164.142.121
X-Webmail-UserID: fni@HIDDEN
X-Ovh-Tracer-Id: 11669389584788292975
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduhedrgeejgddufedvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhepgggtgfffhffvufgfkfigihesmhejjhertdervdenucfhrhhomhephfgrsgcutfhitggvuceophhoshhhudeksehpihhrihhlrghmphhordgsvgeqnecukfhppedtrddtrddtrddtpdekuddrudeigedrudegvddruddvudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdqohhuthdphhgvlhhopehplhgrhigvrhejiedvrdhhrgdrohhvhhdrnhgvthdpihhnvghtpedtrddtrddtrddtpdhmrghilhhfrhhomhepphhoshhhudeksehpihhrihhlrghmphhordgsvgdprhgtphhtthhopeegtdejheelseguvggssghughhsrdhgnhhurdhorhhg
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=_6173116ce1727d120771202c2b24a20e
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=US-ASCII;
 format=flowed

Dear Stefan,

Please find here an update patch file, then.  Thanks for your comments!

BTW, could this go to the "emacs-27" branch, please?

Best regards,
Fabrice
--=_6173116ce1727d120771202c2b24a20e
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=0001-Update-leuven-theme.el.patch
Content-Disposition: attachment;
 filename=0001-Update-leuven-theme.el.patch;
 size=70741
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--=_6173116ce1727d120771202c2b24a20e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at 40759 <at> debbugs.gnu.org:


Received: (at 40759) by debbugs.gnu.org; 22 Apr 2020 06:11:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 02:11:08 2020
Received: from localhost ([127.0.0.1]:51115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jR8bE-0001fb-6H
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 02:11:08 -0400
Received: from ted.gofardesign.uk ([67.225.143.91]:50620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1jR8bC-0001f4-8U
 for 40759 <at> debbugs.gnu.org; Wed, 22 Apr 2020 02:11:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WMMzzszrWm+kB5Dwff5lHrfOkKa0xM748aNnGh66em0=; b=n4rTSsJG0oswl2Ww9i5gvLMEpV
 CKVpAkalWxP0d2GtKrVCV1ogEOJZKD5TDYhDlZcE6xjkUIPhuaPTMz4IAugMooBrHINSTJt6on5Sz
 RMvOSnA7Bsa1ln1YcqNOLWjRb/I1tU3Vh7zIIMAd50VSxjyKnn8OyBi4Xtkp6cC7/TNhLC6Fw9B9v
 gs1+mCEwt6lS0EtjXxzrV9q2+WVQRcyUpD7PWQjGkFERb30e+yGV5XguDtGBPwuLPGXAXscvWRNp/
 m7ikYtkuj7vWARjQN1kNV6nvWGQWelfPgP3peQdC5p3A1f0jJkT8itM6InpaXBoAdSb0xvmfu9k7F
 r2tmqI4Q==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:38852
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1jR8b4-000c7E-Mk; Wed, 22 Apr 2020 02:10:58 -0400
From: Stefan Kangas <stefan@HIDDEN>
To: Fab Rice <posh18@HIDDEN>
Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk
In-Reply-To: <50fbb1acfeba7f191e66176d2d5a7687@HIDDEN> (Fab Rice's
 message of "Wed, 22 Apr 2020 07:31:21 +0200")
References: <50fbb1acfeba7f191e66176d2d5a7687@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Wed, 22 Apr 2020 08:10:56 +0200
Message-ID: <87k128t5hr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40759
Cc: 40759 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Just one nitpick:

> -;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
> +;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

I think https is preferred here.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2020 05:54:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 01:54:04 2020
Received: from localhost ([127.0.0.1]:51109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jR8Kf-0001DN-S7
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 01:54:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:46682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <posh18@HIDDEN>) id 1jR7yz-0000fO-Ur
 for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 01:31:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44398)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <posh18@HIDDEN>) id 1jR7yw-0008G1-28
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2020 01:31:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
 SPF_PASS, URIBL_BLOCKED autolearn=unavailable autolearn_force=no
 version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <posh18@HIDDEN>) id 1jR7yr-0001p9-JZ
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2020 01:31:33 -0400
Received: from 3.mo7.mail-out.ovh.net ([46.105.34.113]:50876)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <posh18@HIDDEN>)
 id 1jR7yq-0000ui-EA
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2020 01:31:29 -0400
Received: from player159.ha.ovh.net (unknown [10.110.115.91])
 by mo7.mail-out.ovh.net (Postfix) with ESMTP id 474B815F29E
 for <bug-gnu-emacs@HIDDEN>; Wed, 22 Apr 2020 07:31:23 +0200 (CEST)
Received: from RCM-web5.webmail.mail.ovh.net (d51A48E79.access.telenet.be
 [81.164.142.121]) (Authenticated sender: fni@HIDDEN)
 by player159.ha.ovh.net (Postfix) with ESMTPSA id CC295119CDE88;
 Wed, 22 Apr 2020 05:31:21 +0000 (UTC)
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_6bdc38db6aae91e584698e51e7dfde4c"
Content-Transfer-Encoding: 7bit
Date: Wed, 22 Apr 2020 07:31:21 +0200
From: Fab Rice <posh18@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; Update Leuven-theme in Emacs dev trunk
User-Agent: Roundcube Webmail/1.4.2
Message-ID: <50fbb1acfeba7f191e66176d2d5a7687@HIDDEN>
X-Sender: posh18@HIDDEN
X-Originating-IP: 81.164.142.121
X-Webmail-UserID: fni@HIDDEN
X-Ovh-Tracer-Id: 15468175873418396939
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduhedrgeeigdelgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfqggfjpdevjffgvefmvefgnecuuegrihhlohhuthemucehtddtnecunecujfgurhepgggtgfffhffvufgfkfigihesmhejjhertdervdenucfhrhhomhephfgrsgcutfhitggvuceophhoshhhudeksehpihhrihhlrghmphhordgsvgeqnecukfhppedtrddtrddtrddtpdekuddrudeigedrudegvddruddvudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdqohhuthdphhgvlhhopehplhgrhigvrhduheelrdhhrgdrohhvhhdrnhgvthdpihhnvghtpedtrddtrddtrddtpdhmrghilhhfrhhomhepphhoshhhudeksehpihhrihhlrghmphhordgsvgdprhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhg
Received-SPF: pass client-ip=46.105.34.113; envelope-from=posh18@HIDDEN;
 helo=3.mo7.mail-out.ovh.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/22 01:31:23
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Received-From: 46.105.34.113
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 22 Apr 2020 01:54:00 -0400
Cc: dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=_6bdc38db6aae91e584698e51e7dfde4c
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=US-ASCII;
 format=flowed

Dear Emacs maintainers,

I'm the author of Leuven color theme, currently in Emacs since 24.4.

But the version has not been updated for a while, while I've improved it
with time.

Could you update its code with the following patch?

(I've generated it with 'git format-patch', so that you could apply it
with 'git am'.)

Thanks in advance!

Best regards,
Fabrice Niessen
--=_6bdc38db6aae91e584698e51e7dfde4c
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=0001-Update-leuven-theme.el.patch
Content-Disposition: attachment;
 filename=0001-Update-leuven-theme.el.patch;
 size=71044
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--=_6bdc38db6aae91e584698e51e7dfde4c--




Acknowledgement sent to Fab Rice <posh18@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40759; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Aug 2020 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.